# AdaBot

A ChatBot for [Keybase](https://keybase.io) using [OpenAI](https://openai.com)
## Badges

[![GPLv3 License](https://img.shields.io/badge/License-GPL%20v3-yellow.svg)](https://opensource.org/licenses/)
[![Build Status](https://drone.nightmare.haus/api/badges/keybase/AdaBot/status.svg)](https://drone.nightmare.haus/api/badges/keybase/AdaBot)
[![Go Report Card](https://goreportcard.com/badge/git.hugfreevikings.wtf/keybase/AdaBot)](https://goreportcard.com/badge/git.hugfreevikings.wtf/keybase/AdaBot)
[![Documentation](https://godoc.org/git.hugfreevikings.wtf/keybase/AdaBot?status.svg)](https://godoc.org/git.hugfreevikings.wtf/keybase/AdaBot)
## Acknowledgements

 - [OpenAI API](https://openai.com/api/)
 - [PullRequestInc/go-gpt3](https://github.com/PullRequestInc/go-gpt3)
 - [@dxb's keybase library](https://pkg.go.dev/samhofi.us/x/keybase/v2)


## Installation

To use this, you need both a logged in [Keybase](https://keybase.io) account, and an OpenAI [API Key](https://beta.openai.com/signup)

```bash
  go build
  ./AdaBot -k $YOUR_API_KEY
```

## Demo

To test this, you may message [@turinga](https://keybase.io/turinga) on Keybase. Note that he has a monthly limit of $10 before he shuts down.

